﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication70
{
    public partial class Form1 : Form
    {
        DataTable dt = new DataTable();
        DataColumn sort = new DataColumn("Sort", typeof(string));
        DataColumn id = new DataColumn("ID", typeof(string));
        DataColumn item = new DataColumn("Item", typeof(string));
        DataColumn id2 = new DataColumn("ID2", typeof(string));

        DataTable _dt2 = new DataTable();
        DataColumn _val = new DataColumn("Val", typeof(string));
        DataColumn _disp = new DataColumn("Display", typeof(string));

        public Form1()
        {
            InitializeComponent();

            dt.Columns.AddRange(new DataColumn[] { sort, id, item, id2 });

            dt.Rows.Add(new object[] { "C", "APL", "Apple", "" });
            dt.Rows.Add(new object[] { "C", "APL", "Apple A", "A" });
            dt.Rows.Add(new object[] { "C", "APL", "Apple B", "B" });
            dt.Rows.Add(new object[] { "C", "APL", "Apple C", "C" });
            dt.Rows.Add(new object[] { "S", "PR", "Pear", "" });
            dt.Rows.Add(new object[] { "S", "PR", "Pear A", "A" });
            dt.Rows.Add(new object[] { "S", "PR", "Pear B", "B" });
            dt.Rows.Add(new object[] { "S", "PR", "Pear C", "C" });

            ultraCombo1.DataSource = dt;
            ultraCombo1.ValueMember = "ID";
            ultraCombo1.DisplayMember = "Item";

            _dt2.Columns.AddRange(new DataColumn[] { _val, _disp });

            _dt2.Rows.Add(new object[] { "C", "C" });
            _dt2.Rows.Add(new object[] { "S", "S" });

            ultraCombo2.DataSource = _dt2;
            ultraCombo2.ValueMember = "Val";
            ultraCombo2.DisplayMember = "Display";

            ultraButton1.GotFocus += new EventHandler(ultraButton1_GotFocus);

            this.ultraCombo2.Focus();
        }

        void ultraButton1_GotFocus(object sender, EventArgs e)
        {
            Console.WriteLine("Value: " + ultraCombo1.Value.ToString() + ", Text: " + ultraCombo1.Text);
        }

        private void ultraCombo1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].ColHeadersVisible = false;
            e.Layout.Bands[0].Columns["Sort"].Hidden = true;
            e.Layout.Bands[0].Columns["ID"].Hidden = true;
            e.Layout.Bands[0].Columns["ID2"].Hidden = true;
            ultraCombo1.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;

            //Clear sector filter and re-apply
            e.Layout.Bands[0].ColumnFilters.ClearAllFilters();

            if (ultraCombo2.Text != string.Empty)
            { 
                e.Layout.Bands[0].ColumnFilters["Sort"].FilterConditions.Add(FilterComparisionOperator.Equals, this.ultraCombo2.Text); 
            }
        }

        private void ultraCombo1_RowSelected(object sender, Infragistics.Win.UltraWinGrid.RowSelectedEventArgs e)
        {
            ChangeFocus();
        }

        private void ChangeFocus()
        {
            this.ultraButton1.Focus();
        }

        private void ultraCombo2_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].ColHeadersVisible = false;
            e.Layout.Bands[0].Columns["Val"].Hidden = true;
        }

        private void ultraCombo2_RowSelected(object sender, Infragistics.Win.UltraWinGrid.RowSelectedEventArgs e)
        {
            ChangeFocus();
            ultraCombo1.Refresh();

            //initiate the filtering of Combo1:
            this.ultraCombo1.DataBind();
        }
    }
}
